Concept
Pattern
Object that stores information about the needle of a search.
Concept Definition
Required Metafunctions

Haystack | Returns the haystack type of a Finder type.
Needle | Returns the needle type of a Pattern type.

Required Functions

clear | Resets an object.
haystack | Returns the haystack of a Finder object.
needle | Returns the needle of a Pattern object (not implemented for some online-algorithms).
position | Position of an iterator.
setNeedle | Sets the needle of a Pattern object and optionally induces preprocessing.
setPosition | Sets the position of a finder.

See Also
Finder
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2012/03/14 16:34:45